Bug 107061 - Upgrade to new versions of Fedora replaces modified mime.types
Upgrade to new versions of Fedora replaces modified mime.types
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-14 14:55 EDT by Clifford Snow
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 06:52:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clifford Snow 2003-10-14 14:55:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031013

Description of problem:
Whenever I upgrade to the latest beta release, /etc/cups/mimes.types is replaced
with a default.  mime.convs is not changed.

Version-Release number of selected component (if applicable):
cups-1.1.19-13

How reproducible:
Always

Steps to Reproduce:
1. Modify /etc/cups/mime.types
2. Update with latest cds
3. 
    

Actual Results:  mime.types is replaced with what appears to be a default version.

Expected Results:  user changes should remain.  

Additional info:

I uncomment the line
# application/octet-stream
to allow printing from a windows client.  

A similar line in mime.convs is not changes  
application/octet-stream        application/vnd.cups-raw        0 

It is left uncommented.
Comment 1 Tim Waugh 2003-10-15 06:52:16 EDT
This line is changed by redhat-config-printer.  You need to specify that the
queue is a raw queue in the redhat-config-printer tool.
Comment 2 Clifford Snow 2003-10-17 14:50:23 EDT
Thanks - I kept looking for the Raw Queue in the tab Queue Type.  Then I found
that if selected the generic print driver instead of HP I could select Raw Print
Queue.

Seems to me that the instructions for redhat-config-printer should be updated to
show how to do this.  It didn't seem intuitive to me.  

Clifford Snow
glass-art@comcast.net

Note You need to log in before you can comment on or make changes to this bug.